DependencyConfigurationConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.config
[Groovy] Class DependencyConfigurationConfigurer

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.resolve.config.AbstractDependencyManagementConfigurer
              org.codehaus.groovy.grails.resolve.config.DependencyConfigurationConfigurer

    class DependencyConfigurationConfigurer
    extends AbstractDependencyManagementConfigurer

Used to configure the default

Authors:
  Graeme Rocher
  Luke Daley

Field Summary

Fields inherited from class AbstractDependencyManagementConfigurer
context

Property Summary
`static java.lang.String` | `WILDCARD`
`boolean` | `legacyResolve`
`boolean` | `pluginMode`
`boolean` | `repositoryMode`

Constructor Summary
`DependencyConfigurationConfigurer(DependencyConfigurationContext context)`

Method Summary
`void` | `cacheDir(java.lang.String dir)`
`void` | `checksums(java.lang.String checksumConfig)`
`void` | `checksums(boolean enable)`
`void` | `credentials(groovy.lang.Closure c)`
`void` | `defaultDependenciesProvided(boolean b)`
`void` | `dependencies(groovy.lang.Closure deps)`
`void` | `inherits(java.lang.String name, groovy.lang.Closure configurer)`
`void` | `inherits(java.lang.String name)`
`void` | `legacyResolve(boolean lr)`
`void` | `log(java.lang.String level)`
`void` | `plugins(groovy.lang.Closure callable)`
`void` | `pom(boolean b)`
`void` | `repositories(groovy.lang.Closure repos)` Same as #resolvers(Closure)
`void` | `resolvers(groovy.lang.Closure resolvers)` Defines dependency resolvers
`void` | `useOrigin(boolean b)`

Methods inherited from class AbstractDependencyManagementConfigurer
getContext, getDependencyManager, getGrailsCoreDependencies

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Property Detail

### WILDCARD

    static final java.lang.String WILDCARD

### legacyResolve

    boolean legacyResolve

### pluginMode

    boolean pluginMode

### repositoryMode

    boolean repositoryMode

Constructor Detail

### DependencyConfigurationConfigurer

    DependencyConfigurationConfigurer(DependencyConfigurationContext context)

Method Detail

### cacheDir

    void cacheDir(java.lang.String dir)

### checksums

    void checksums(java.lang.String checksumConfig)

### checksums

    void checksums(boolean enable)

### credentials

    void credentials(groovy.lang.Closure c)

### defaultDependenciesProvided

    void defaultDependenciesProvided(boolean b)

### dependencies

    void dependencies(groovy.lang.Closure deps)

### inherits

    void inherits(java.lang.String name, groovy.lang.Closure configurer)

### inherits

    void inherits(java.lang.String name)

### legacyResolve

    void legacyResolve(boolean lr)

### log

    void log(java.lang.String level)

### plugins

    void plugins(groovy.lang.Closure callable)

### pom

    void pom(boolean b)

### repositories

    void repositories(groovy.lang.Closure repos)

  Same as #resolvers(Closure)

### resolvers

    void resolvers(groovy.lang.Closure resolvers)

  Defines dependency resolvers

### useOrigin

    void useOrigin(boolean b)

Groovy Documentation